import Image from "next/image";
import { useState } from "react";

interface GameProps {
  name: string;
  img: string;
}

export const Game = (props: GameProps): JSX.Element => {
  const { name, img } = props;

  return (
    <div className="w-[300px] h-[300px] border-2 border-solid border-[--foreground] m-auto text-center items-center">
      <p className="text-xl">{name}</p>
      <a
        href={`https://cdn.nhcarrigan.com/games/${img}`}
        target="_blank"
        rel="noreferrer"
      >
        <Image
          src={`https://cdn.nhcarrigan.com/games/${img}`}
          alt={name}
          width={250}
          height={250}
          className="m-auto"
        />
      </a>
    </div>
  );
};
